GriffonServiceClass (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonServiceClass

    griffon.core.GriffonServiceClass
      griffon.core.ApplicationHandler
          griffon.core.GriffonClass

All Superinterfaces:
  ApplicationHandler, GriffonClass

    public interface GriffonServiceClass
    extends GriffonClass

Represents a Service class in Griffon.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`String` | `TRAILING` "Service"
`String` | `TYPE` "service"

Fields inherited from interface GriffonClass
STANDARD_PROPERTIES

Method Summary
`String[]` | `getEventNames()` Matches all public methods and closure properties whose name matches the event handler convention, i.e, starts with "on" and is followed by at least one uppercase character.
`String[]` | `getServiceNames()` Matches all public methods and all properties that have a Closure as value.

Methods inherited from interface GriffonClass
getArtifactType, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, newInstance

Methods inherited from interface ApplicationHandler
getApp

Field Detail

### TRAILING

    public String TRAILING

  "Service"

### TYPE

    public String TYPE

  "service"

Method Detail

### getEventNames

    public String[] getEventNames()

  Matches all public methods and closure properties whose name matches the event handler convention, i.e, starts with "on" and is followed by at least one uppercase character.

  Returns:
    an array containing the names of all event handlers.

### getServiceNames

    public String[] getServiceNames()

  Matches all public methods and all properties that have a Closure as value.

  Returns:
    an array containing the names of all service methods.

Groovy Documentation